/*
 * (c) Copyright 2002 -- Anders Torger
 *
 * This program is open source. For license terms, see the LICENSE file.
 *
 */
#include <inttypes.h>

typedef struct {
  uint32_t state[4];        /* state (ABCD) */
  uint32_t count[2];        /* number of bits, modulo 2^64 (lsb first) */
  uint8_t buffer[64];       /* input buffer */    
} md5_t;

void
md5_init(md5_t *context);

void
md5_update(md5_t *context,
	   uint8_t intput[],
	   unsigned int len);

void
md5_final(md5_t *context,
	  uint8_t digest[16]);
